2019-10-17 00:26 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002510FSSCPmodelspublic2012-02-08 02:51
ReporterRga_Noris 
Assigned Toiss_mneur 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows 7OS Version64-bit
Product Version3.6.13 
Target VersionFixed in Version3.6.14 RC1 
Summary0002510: Rotation periods of <1 cause uncontrolled object rotation
DescriptionIf a subobject contains the $rotate property, and its value is less then 1, then the subobject will rotate at increasingly faster speeds, quickly looking like a coin spinning on a table top.
Steps To Reproduce1)Take any asset, retail or otherwise, that has a rotating subobject and set its value to less that 1, (in my case, 0.5)

2)In the F3 ships lab, get a nice view of the rotating subobject, and click rotate subobjects.

3)Not how it starts at a reasonable pace and then rather quickly builds up to insane speeds.
Additional InformationDiscovered while adding some cool features to the HTL Arcadia.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012855

iss_mneur (developer)

Should be fixed in 7799. Was caused by the rotation apply code not accounting for rotations of greater than 2PI, that is, greater than one complete rotation.

~0013250

Goober5000 (administrator)

Can this be confirmed?

~0013252

CommanderDJ (developer)

Confirmed.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-24 22:54 Rga_Noris New Issue
2011-09-24 23:08 Rga_Noris File Added: Science01.rar
2011-09-25 00:01 iss_mneur Note Added: 0012855
2011-09-25 00:01 iss_mneur Assigned To => iss_mneur
2011-09-25 00:01 iss_mneur Status new => feedback
2011-09-25 00:01 iss_mneur Resolution open => fixed
2011-09-25 00:01 iss_mneur Product Version => 3.6.13
2011-09-25 00:01 iss_mneur Summary Rotation Values <1 Causes Odd behavior => Rotation periods of <1 cause uncontrolled object rotation
2012-02-08 02:20 Goober5000 Note Added: 0013250
2012-02-08 02:48 CommanderDJ Note Added: 0013252
2012-02-08 02:51 CommanderDJ Status feedback => resolved
2012-02-08 02:51 CommanderDJ Fixed in Version => 3.6.14 RC1
+Issue History